### Name: batchsmoosh<--methods
### Title: Methods for Function batchsmoosh<-
### Aliases: batchsmoosh<- batchsmoosh<--methods
###   batchsmoosh<-,ANY,ANY-method batchsmoosh<-,mspath,mspath-method
###   batchsmoosh<-,list,list-method
###   batchsmoosh<-,mspathFull,mspathFull-method
###   batchsmoosh<-,mspathCalculator,mspathCalculator-method
###   batchsmoosh<-,mspathCoefficients,mspathCoefficients-method
###   batchsmoosh<-,mspathEstimatedCoefficients,mspathEstimatedCoefficients
###   -method
### Keywords: methods internal

### ** Examples

  # Create simulation results.  In real life, the list elements would
  # be more interesting.
  data <- runif(200)
  dosim <- function(i) list(result=runif(1), input=data, run=i)
  myrun <- lapply(seq(300), dosim)
  # Note that in a typical distributed scenario, each simulation
  # result would have a different input object, even though
  # they would all be substantively identical.

  # Compress the simulation results

  # The master object has 2 roles.
  # First, when substantively identical objects are not the same
  # object, the value in master will be inserted in all places.
  # Second, the master preserves all the original values.
  mymaster <- myrun[[1]]

  mysmoosh <- function(x) {
    batchsmoosh(x) <- mymaster
    x
  }
  myrun <- lapply(myrun, mysmoosh)
  # and preserve one copy of full data
  myrun[[1]] <- mymaster

  # myrun is now a reduced memory version of itself



