### Name: doTrials
### Title: Run trials until told to stop
### Aliases: doTrials
### Keywords: optimize iteration utilities datagen models

### ** Examples

## since the function runs forever, we don't want to really run it
## Not run: 
##D 
##D # create a set of parameters
##D testgen <- function(...) {
##D   p <- rnorm(3, ...)
##D   list(a=p[1], b=p[2], c=p[3])
##D }
##D 
##D # estimate a function using those parameters
##D testexec <- function(a, b, c) {
##D   Sys.sleep(10)  # some long computation
##D   a+b+c  # result, sensitive to the parameters
##D }
##D 
##D ## Note that parameters, as used above, are not the same as the
##D ## parameters of the inner function the executor runs.  The parameters
##D ## here might be the initial value  for the parameters of the inner model.
##D 
##D r <- doTrials(testgen, testexec, nTrials=20, nTime=30)
## End(Not run)



