### Name: mspathEstimatedCoefficients-class
### Title: mspathEstimatedCoefficients
### Aliases: mspathEstimatedCoefficients-class
###   coef,mspathEstimatedCoefficients-method
###   sd,mspathEstimatedCoefficients-method
###   show,mspathEstimatedCoefficients-method
###   print,mspathEstimatedCoefficients-method mspathEstimatedCoefficients
### Keywords: classes

### ** Examples

# 5 x 5, history but no covariates
permissible <- matrix(c( 0, 1, 1, 0, 1,
                         1, 0, 1, 1, 1,
                         0, 0, 0, 0, 1,
                         1, 0, 0, 0, 1,
                         0, 0, 0, 0, 0), ncol=5, byrow=TRUE)
pathConstraint <- c(1, 1, 2, 3, 1, 1, 4, 5, 2, 6,
                   7, 8, 2,  8, 7, 8, 9, 10, 11, 12)
baseConstraint <- c(1, 1, 2, 3, 1, 1, 4, 5, 2, 6)

pathNames <- c("TIS", "TSO")
fixed <- c(3, 10, 11)
var <- seq(from=30, by=5, length.out=15)^2
c <- mspathEstimatedCoefficients(permissible,
                                 params= 101:118,
                                 baseConstrVec=baseConstraint,
                                 pathVars=pathNames,
                                 pathConstrVec = pathConstraint,
                                 fixed=fixed,
                                 n=50,
                                 var=var)

# default show method
c

# optional print arguments
print(c, coeff=c("intercept", "TIS"), digits=2)



