### Name: runTime-class
### Title: Class "runTime"
### Aliases: runTime-class addResult,runAnalyzer,runTime-method cpuTime
###   cpuTime,runTime-method endTime endTime,runTime-method job
###   job,runTime-method mpirank<- mpirank<-,runTime,numeric-method mpirank
###   mpirank,runTime-method remoteTime<-
###   remoteTime<-,runTime,numeric-method startTime
###   startTime,runTime-method waitTime waitTime,runTime-method wallTime
###   wallTime,runTime-method
### Keywords: classes methods

### ** Examples

### Make a runTime object
# at the start of the job
rt <- runTime("Job1")
# in real life, remote computations would then ensue
mpirank(rt) <- 3
Sys.sleep(1.5) # time passes
# when we get the job back
# next line is c( user cpu, system cpu, wall clock time, wall clock wait)
remoteTime(rt) <- c(.05, .01, 1.0, .15)

### Use it
cat("Job", job(rt), "executed on MPI rank", mpirank(rt))
cat("It took", wallTime(rt),
    "seconds, out of which remote waited for master",
    waitTime(rt), "seconds.") 



